spring:
  application:
    name: DFXConsole
    version: ${version}
    commitId: ${commitId}
  devtools:
    restart:
      enabled: true
      additional-paths: src/main/resources
    livereload:
      enabled: true
  datasource:
    driver-class-name: net.sf.log4jdbc.sql.jdbcapi.DriverSpy
    url: jdbc:log4jdbc:postgresql://bsm-lab.com:5432/defree?currentSchema=dfxconsole
    #driver-class-name: org.postgresql.Driver
    #url: jdbc:postgresql://bsm-lab.com:5432/defree?currentSchema=dfxconsole
    username: defreeadmin
    password: qortpals1!

server:
  servlet:
    context-path: /
    encoding:
      charset: utf-8
      enabled: true
      force: true
    multipart:
      max-file-size: 500MB
      max-request-size: 500MB
    session:
      timeout: 43200m
      cookie:
        max-age: 43200m
        name: SID
        http-only: true
        secure: false
    error:
      whitelabel.enabled: true
      include-exception: true
      include-message: always
      include-stacktrace: always
  port: 17443
  ssl:
    enabled: true
    certificate: ${user.home}/.vite-plugin-mkcert/bsm-lab.dev.pem
    certificate-private-key: ${user.home}/.vite-plugin-mkcert/bsm-lab.dev-key.pem

mybatis:
  configuration:
    map-underscore-to-camel-case: true
    call-setters-on-nulls: true
    jdbc-type-for-null: NULL
    use-generated-keys: true
  mapper-locations: classpath*:/mapper/**/*.xml
  type-handlers-package: com.bsmlab.dfx.dfxconsole.framework.support.mybatis.handler
  refresh-interval: 3000

logging:
  level:
    log4jdbc.log4j2: WARN
    com:
      zaxxer:
        hikari: INFO
    javax:
      sql:
        DataSource: OFF
    org.mybatis: WARN
    jdbc:
      audit: OFF
      resultset: OFF
      resultsettable: OFF  #SQL 결과 데이터 Table을 로그로 남긴다.
      sqlonly: OFF     #SQL만 로그로 남긴다.
      sqltiming: DEBUG    #SQL과 소요시간을 표기한다.
      connection : OFF  # 커넥션 확인가능
    com.bsmlab.dfx: DEBUG
    org.springframework: INFO
